Bug 44597 - init-script succeeds always
init-script succeeds always
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: am-utils (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 12:48 EDT by Enrico Scholz
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 12:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-06-14 12:48:10 EDT
Description of Problem:

/etc/init.d/amd returns always with an errorcode indicating success -- even
on failed actions.

This can be cured by replacing the last line

| exit 0

with

| exit $?



How Reproducible:

everytime

Steps to Reproduce:
1. service amd stop
2. service amd status && echo 'This should not happen'  || echo 'OK'


Actual Results:

amd is stopped
This should not happen

Expected Results:

amd is stopped
OK


Additional Information:

$ rpm -q am-utils
am-utils-6.0.6-1
Comment 1 Nalin Dahyabhai 2001-06-26 01:27:42 EDT
This will be fixed in am-utils 6.0.6-2 and later.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.